Package org.eclipse.graphiti.features.impl

## Class DefaultResizeShapeFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.DefaultResizeShapeFeature

All Implemented Interfaces:
  `IFeature`, `IFeatureProviderHolder`, `IResizeFeature`, `IResizeShapeFeature`, `IResizeShape`, `IDescription`, `IName`

Direct Known Subclasses:
  `ResizeShapeFeatureForPattern`

    public class DefaultResizeShapeFeature
    extends AbstractFeature
    implements IResizeShapeFeature

The Class DefaultResizeShapeFeature.

### Constructor Summary

Constructors
`DefaultResizeShapeFeature​(IFeatureProvider fp)` Creates a new `DefaultResizeShapeFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute​(IContext context)` Decides if the current feature can execute with the given context.
`boolean` `canResizeShape​(IResizeShapeContext context)` Can resize shape.
`void` `execute​(IContext context)` Executes the current feature with the given context.
`java.lang.String` `getName()` Gets the name.
`IResizeConfiguration` `getResizeConfiguration​(IResizeShapeContext context)` Provides configuration object, which describes the resize behavior
`void` `resizeShape​(IResizeShapeContext context)` Resize shape.
`protected void` `resizeShape​(Shape currentShape)` Resize shape.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### DefaultResizeShapeFeature

    public DefaultResizeShapeFeature​(IFeatureProvider fp)

Creates a new `DefaultResizeShapeFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### canResizeShape

    public boolean canResizeShape​(IResizeShapeContext context)

Description copied from interface: `IResizeShape`
Can resize shape.

Specified by:
  `canResizeShape` in interface `IResizeShape`
Parameters:
  `context` - the context
Returns:
  true, if successful

#### resizeShape

    public void resizeShape​(IResizeShapeContext context)

Description copied from interface: `IResizeShape`
Resize shape.

Specified by:
  `resizeShape` in interface `IResizeShape`
Parameters:
  `context` - the context

#### canExecute

    public boolean canExecute​(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  `IContext`

#### execute

    public void execute​(IContext context)

Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  `IContext`

#### resizeShape

    protected void resizeShape​(Shape currentShape)

Resize shape.

Parameters:
  `currentShape` - the current shape

#### getName

    public java.lang.String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name

#### getResizeConfiguration

    public IResizeConfiguration getResizeConfiguration​(IResizeShapeContext context)

Description copied from interface: `IResizeFeature`
Provides configuration object, which describes the resize behavior

Specified by:
  `getResizeConfiguration` in interface `IResizeFeature`
Parameters:
  `context` - the resizing context
Returns:
  configuration object